# Interface DataTreeMXBean

All Known Implementing Classes:
  `DataTreeBean`

public interface DataTreeMXBean
Zookeeper data tree MBean.

## Method Summary

Modifier and Type
Method
Description
`long`
`approximateDataSize()`
`int`
`countEphemerals()`
`String`
`getLastZxid()`
`int`
`getNodeCount()`
`int`
`getWatchCount()`

## Method Details

### getNodeCount

int getNodeCount()

Returns:
  number of znodes in the data tree.

### getLastZxid

String getLastZxid()

Returns:
  the most recent zxid processed by the data tree.

### getWatchCount

int getWatchCount()

Returns:
  number of watches set.

### approximateDataSize

long approximateDataSize()

Returns:
  data tree size in bytes. The size includes the znode path and its value.

### countEphemerals

int countEphemerals()

Returns:
  number of ephemeral nodes in the data tree